Run Auto Match (Transaction Matching)

Runs the auto match process in Transaction Matching.

REST Resource

POST       /arm/rest/{api_version}/jobs

Required Roles

Service Administrator, Power User, or Profiles and Reconciliations - Manage

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job.

Table 18-37 runautomatch

Name Description Required
api_version Version of the API you are working with: v1 Yes
jobName The name of a job, runautomatch Yes
matchTypeId The Text ID of the match type (previously known as Reconciliation Type, both parameter names continue to work) to be auto matched Yes

Example of request body

{"jobName":"runautomatch",
"parameters":{"matchTypeId":"INTERCO"}}

Response

Supported Media Types: application/json

Parameters:

Table 18-38 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Relationship type
data Parameters as key value pairs passed in the request

Example of Response Body

The following is an example of the response body in JSON format.

{
  "type": "TM",
  "status": -1,
  "details": "In Process",
  "links": [
    {
      "rel": "self",
      "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/arm/rest/v1/jobs/2141",
      "action": "GET"
    }
  ],
  "error": null,
  "items": null,
  "link": null
}